ExportController Methods

The ExportController type exposes the following members.

Methods
  NameDescription
Public methodCancelExport
DELETE /Export/Cancel/ Cancels the export specified by the requestId.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetCustomConfigurationUI
GET /Export/CustomConfigurationUI/{id} Gets the custom configuration UI for the specified export provider in the system.
Public methodGetExportResult
GET /Export/Result/{0} Retrieves the result of an export.
Public methodGetExports
GET /Export/ Gets exports created by the user.
Public methodGetExportsForAccount
GET /Export/GetExportsForAccount/ Gets exports created by the user.
Public methodGetQueuedExports
POST /Export/Queued Gets the pending exports which are waiting in the export queue for the specified session.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodPerformExport
POST /Export/ Creates a new export based on the options given.
Public methodQueryExports
POST /Export/Query Gets multiple exports.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Public methodResolvePaperSize
GET /Export/PaperSize/ Creates a new export based on the options given.
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Top
See Also